import { ElementFinderSync } from './element-finder-sync';
/**
 * Returns the active element on the page
 */
export declare function getActiveElement(): ElementFinderSync;
export declare function waitForNewWindow(action: Function, waitTimeMs?: number): void;
/**
 * Takes a screenshot and saves a .png file in the configured screenshot directory.
 *
 * @param filename The name of the file to save
 */
export declare function takeScreenshot(filename: string): string;
export declare function resizeViewport(size: {
    width?: number;
    height?: number;
}): void;
export declare const disallowExpect: () => void;
export declare function waitFor<T>(condition: () => boolean | {
    data: T;
    keepPolling: boolean;
}, waitTimeMs?: number): T;
export declare function transformElementFinderSyncToWebElementIn(obj: any): any;
export declare function transformWebElementToElementFinderSyncIn(obj: any): any;
