"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var protractor_1 = require("protractor");
var browser_sync_1 = require("./browser-sync");
var element_finder_sync_1 = require("./element-finder-sync");
var selection_1 = require("./selection");
var utility_1 = require("./utility");
exports.browserSync = new browser_sync_1.BrowserSync(function () { return protractor_1.protractor.browser; });
exports.elementSync = {
    findVisible: selection_1.findVisible,
    findVisibles: selection_1.findVisibles,
    findElement: selection_1.findElement,
    findElements: selection_1.findElements,
    assertElementDoesNotExist: selection_1.assertElementDoesNotExist,
    getActiveElement: utility_1.getActiveElement
};
(function () { return element_finder_sync_1.ElementFinderSync; })(); //prevent compiler error
//# sourceMappingURL=vars.js.map